Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlAttribute

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlAttribute

All Implemented Interfaces:
  idlAttribute, idlObject, java.io.Serializable

public class IdlAttribute
extends IdlObject
implements idlAttribute

Cette classe represente l'objet IDL Attribute

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlAttribute(IdlObject father)` Cree un objet IDL Attribute

Method Summary
`idlObject` | `attributeType()` Return the attribute type
`void` | `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`java.util.Enumeration` | `content()` Return this idlObject content
`boolean` | `isReadOnly()` Return TRUE if this attribute is marked as 'readonly'
`boolean` | `readOnly()` Retourne le flag readonly de l'attribut
`void` | `readOnly(boolean rd)` Fixe le flag readonly de l'attribut
`IdlObject` | `type()` Retourne le type de l'attribut
`void` | `type(IdlObject tp)` Fixe le type de l'attribut

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlAttribute

    public IdlAttribute(IdlObject father)

  Cree un objet IDL Attribute

Method Detail

### type

    public IdlObject type()

  Retourne le type de l'attribut
  Overrides:
    `type` in class `IdlObject`
  Returns:
    le type

### type

    public void type(IdlObject tp)

  Fixe le type de l'attribut
  Overrides:
    `type` in class `IdlObject`
  Parameters:
    `tp` - le type

### readOnly

    public boolean readOnly()

  Retourne le flag readonly de l'attribut
  Returns:
    le flag

### readOnly

    public void readOnly(boolean rd)

  Fixe le flag readonly de l'attribut
  Parameters:
    `rd` - le flag

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `idlAttribute`
  Return TRUE if this attribute is marked as 'readonly'
  Specified by:
    `isReadOnly` in interface `idlAttribute`

### attributeType

    public idlObject attributeType()

  Description copied from interface: `idlAttribute`
  Return the attribute type
  Specified by:
    `attributeType` in interface `idlAttribute`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD